<?php

class NtakConfig
{
    private string $url;
    private string $REGISTRATION_NUMBER;
    private string $TAX_NUMBER;
    private string $TSS_ID;
    private string $TSS_VERSION;
    public function __construct()
    {
        global $conf;
        $this->url = $conf->global->NTAK_URL;
        $this->REGISTRATION_NUMBER = $conf->global->NTAK_REGISTRATION_NUMBER;
        $this->TAX_NUMBER = $conf->global->NTAK_TAX_NUMBER;
        $this->TSS_ID = $conf->global->NTAK_TSS_ID;
        $this->TSS_VERSION = $conf->global->NTAK_TSS_VERSION;
    }

    public function getURL(){
        return $this->url;
    }

    public function getREGISTRATION_NUMBER(){
        return $this->REGISTRATION_NUMBER;
    }
    public function getTAX_NUMBER(){
        return $this->TAX_NUMBER;
    }
    public function getTSS_ID(){
        return $this->TSS_ID;
    }

    public function getTSS_VERSION(){
        return $this->TSS_VERSION;
    }

    const URL_SALE = '/api/jegyertekesites';
    const URL_CHECK = '/api/ellenorzes/statusz';
    const URL_VALIDATE = '/api/jegyervenyesites';
    
    
    
    // Átkerült a DOLIBARR Beallitasok->Egyeb beallitasok kpnstansokhoz.
    //const URL = 'https://tss.ntak.hu';
    //const URL = 'https://tss.tesztntak.hu';
    //const REGISTRATION_NUMBER = 'MK23002415';
    //ÉLES
    //const REGISTRATION_NUMBER = 'KS23066802';
    //const TAX_NUMBER = '23311284242';
    //const TAX_NUMBER = '26646970213';
    //const TAX_NUMBER = '11223344122'; // test system
    //const TSS_ID = 'URBANTICKETING';
    //const TSS_VERSION = '1.0';
}